<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 1.0 от 9.05.10                    #
## ДАННЫЙ СКРИПТ РАСПРОСТРАНЯЕТСЯ БЕСПЛАТНО #
## КАЧАЕМ ТОЛЬКО НА   http://masteram.us    #
  #########################################
require'../config.php';
$user['avr'] = 0;
$align='left';
$title='Смайлы';
head();
aut();
$sid = '?';
echo $fs1;

$path = H.'smiles';

if (isset($_GET['cat']))
{
if ($_GET['cat'] == 0)
{
$smiles=file("smiles_mod.txt");
$smiles2=implode("",$smiles);
}
else
{
$smiles=file("smiles.txt");
$smiles2=implode("",$smiles);
$smiles2 = explode("-v--v-", $smiles2);
$smiles2 = $smiles2[$_GET['cat']];
}

for ($i=0;$i<count($smiles);$i++)
{
$str_sm=explode(' ',trim($smiles[$i]));
$str_sm2='';
for ($z=1;$z<count($str_sm);$z++)
{
if ($z>1){$str_sm2.=' ';}
$str_sm2.=$str_sm[$z];
}
$str_sm2=explode(',',$str_sm2);
for ($i2=0;$i2<count($str_sm2);$i2++)
{
$str_sm2[$i2]=stripcslashes(htmlspecialchars($str_sm2[$i2]));
if (!ereg("<img src=\"../$path/$str_sm[0].gif\" alt=\"\" />", $smiles2))
$smiles2=str_replace("$str_sm2[$i2]", "<img src=\"../$path/$str_sm[0].gif\" alt=\"\" /> $str_sm2[$i2]", $smiles2);
$smiles2=str_replace("$str_sm2[$i2]", "$str_sm2[$i2]", $smiles2);
}
}

$smiles=str_replace("\n","<br />",str_replace("\r","<br />",str_replace("\r\n","<br />",$smiles2)));

echo "<div class=\"opis\">$smiles</div>\n";
}

else
{
if ($user['level']>3)echo '<a href="'.$sid.'rm='.$_GET['rm'].'&amp;cat=0">Модерские смайлы</a><br />';

$cats = array(1 => 'Быстрые смайлы', 'Действия', 'Добро/зло', 'Драки/оружие', 'Дурдом', 'Еда/алкоголь', 'Жесты', 'Животные', 'Значки', 'Любовь', 'Музыка', 'Надписи', 'Новый год', 'Персонажи', 'Разное', 'Спорт', 'Техника', 'Цветы', 'Эмоции');

foreach ($cats as $cat => $name)
echo '<a href="'.$sid.'rm='.$_GET['rm'].'&amp;cat='.$cat.'">'.$name.'</a><br />';
}

if (isset($_GET['cat'])) echo '<a href="'.H.'smiles/'.$sid.'rm='.$_GET['rm'].'\">Разделы смайлов</a><br />';



if (isset($_GET['rm'])) echo gb.'<a href="'.H.'room.php'.$sid.'rm='.$_GET['rm'].'">В чат </a>'.div;
else {
echo gb.'<a href="'.H.'my/index.php'.$sid.'">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter.php'.$sid.'">Прихожая</a>'.div;
}
foot ();
?>
